﻿using Eliza;

namespace ElizaTest
{
    /// <summary>
    /// Tests the YOUR pattern.
    /// </summary>
    class YourPatternTest : PatternTest
    {
        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="YourPatternTest"/> class.
        /// </summary>
        public YourPatternTest()
               : base (new YourPattern())
        {
        }

        #endregion

        #region PatternTest implementation

        /// <summary>
        /// Adds the pattern's tests.
        /// </summary>
        protected override void AddTests()
        {
            // Test rule 1
            Test test = new Test("Rule 1");
            test.AddCheck("What are your dreams and ambitions?", "WHY ARE YOU CONCERNED OVER MY DREAMS AND AMBITIONS?");
            test.AddCheck("What are your dreams and ambitions?", "WHAT ABOUT YOUR OWN DREAMS AND AMBITIONS?");
            test.AddCheck("What are your dreams and ambitions?", "ARE YOU WORRIED ABOUT SOMEONE ELSE'S DREAMS AND AMBITIONS?");
            test.AddCheck("What are your dreams and ambitions?", "REALLY, MY DREAMS AND AMBITIONS?");

            this.AddRuleTest(test);
        }

        #endregion
    }
}
